Subject: [regext] RDAP Event Members: REQUIRED or OPTIONAL?

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 7 May 2020 13:34:07 +0000

Mario found an interesting issue in RFC 7483. The text in Section 4.5 says this:

"The "events" array consists of objects, each with the following members:

   o  "eventAction" -- a string denoting the reason for the event

   o  "eventActor" -- an optional identifier denoting the actor responsible for the event

   o  "eventDate" -- a string containing the time and date the event occurred.

   o  "links" -- see Section 4.2"

As I read this, an "events" array contains objects, and each object has 4 members. There's nothing here that says that any of the members are REQUIRED or OPTIONAL, but "each with the following members" sounds to me like they MUST be included. There are, however, examples in the document the omit one or more members. The example in Section 4.5 itself omits the "links" member, and an example in Section 5.1 omits both the "eventActor" and "links" members.

The few implementations I've looked at (Verisign, ARIN, APNIC, Afilias, GoDaddy) all omit both the "eventActor" and "links" members. I'm inclined to add text to 7483bis noting that the "eventAction" and "eventDate" members are REQUIRED and the "eventActor" and "links" members are OPTIONAL. Does that cause any concern for anyone?

Scott

---

From: Mario Loffredo <[email-masked]>
Date: Thu, 7 May 2020 16:14:31 +0200

Hi Scott,

IMHO, the information required to represent an event are the event type 
and the event date. The one without the other is meaningless. The event 
actor has been already defined as optional on some basis. The "links" 
member is something that could be used to convey additional information.

With regards to the event actor definition, I always wondered what 
"responsible" meant . Is it purposefully left to the interpretation?

Mario

Il 07/05/2020 15:34, Hollenbeck, Scott ha scritto:
> _______________________________________________
> regext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/regext

-- 
Dr. Mario Loffredo
Systems and Technological Development Unit
Institute of Informatics and Telematics (IIT)
National Research Council (CNR)
via G. Moruzzi 1, I-56124 PISA, Italy
Phone: +39.0503153497
Mobile: +39.3462122240
Web: http://www.iit.cnr.it/mario.loffredo
#pleasestayathome

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 7 May 2020 14:22:19 +0000

> -----Original Message-----
> From: Mario Loffredo <[email-masked]>
> Sent: Thursday, May 7, 2020 10:15 AM
> To: Hollenbeck, Scott <[email-masked]>; [email-masked]
> Subject: [EXTERNAL] Re: [regext] RDAP Event Members: REQUIRED or
> OPTIONAL?
>
> Hi Scott,
>

"Responsible" means "who did it".

Scott

---

From: Roger D Carney <[email-masked]>
Date: Thu, 7 May 2020 14:22:35 +0000

Good Morning,

Thanks Scott, I do believe this suggestion would add clarity and is appropriate.

Thanks
Roger

________________________________
From: regext <[email-masked]> on behalf of Hollenbeck, Scott <shollenbeck=[email-masked]>
Sent: Thursday, May 7, 2020 8:34 AM
To: [email-masked] <[email-masked]>
Subject: [regext] RDAP Event Members: REQUIRED or OPTIONAL?

Notice: This email is from an external sender.

Scott